Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163589 - Outdated /etc/readahead.files
Summary: Outdated /etc/readahead.files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2005-07-19 09:28 UTC by Bastien Nocera
Modified: 2018-10-19 20:55 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0005
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-06 18:15:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0005 qe-ready SHIPPED_LIVE kernel-utils bug fix update 2006-03-07 05:00:00 UTC

Description Bastien Nocera 2005-07-19 09:28:17 UTC
# rpm -qf /etc/readahead.files
kernel-utils-2.4-13.1.48
# rpm -qf /usr/lib/libz.so.1.2.1.2
zlib-1.2.1.2-1
# grep libz /etc/readahead.files
/usr/lib/libz.so.1.2.1.1

Arjan mentions that listing a symlink would be fine. Should this be done as part
of the releng tests?

Comment 1 Bastien Nocera 2005-07-19 09:48:34 UTC
Should note this also applies to /etc/readahead.early.files

Comment 2 Dave Jones 2005-10-19 19:57:37 UTC
This is going to be perpetually out of date for one reason or another.
The thing is it needs updating every single time we push an errata, not just
when we do another U release.

And just adding every possible combination would grow the filelist so large that
we'd waste quite a bit of time opening files that don't exist.

Add to this the fun combination that some users mix-n-match bits from different
U releases, and the whole situation is pretty awful.

For RHEL5 there's some discussion about making this list dynamically generated
using the audit mechanism.


Comment 3 Bastien Nocera 2005-10-20 09:22:07 UTC
Dave, we don't change minor versions of the libraries in updates, only micro
versions. Having a symlink listed in the readahead.files will do the right thing
and read ahead the file pointed to by the symlink, so saying that every U would
need an upgrade is false.

Comment 4 Dave Jones 2005-10-20 21:31:07 UTC
ah, I'd misinterpreted this report, and thought that we had
/usr/lib/libz.so.1.2.1.1 in the GA release.   I see now that wasn't the case.

yes, changing this to a symlink makes sense.


Comment 6 Dave Jones 2005-10-25 21:12:24 UTC
fixed in cvs


Comment 8 Jay Turner 2006-02-03 14:03:44 UTC
Fix confirmed with kernel-utils-2.4-13.1.80.  /etc/readahead.early.files now has
the "/usr/lib/libz.so.1" symlink listed instead of an explicit pointed to the
library itself.

Comment 10 Red Hat Bugzilla 2006-03-07 18:05:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0005.html


Comment 12 Bastien Nocera 2006-03-28 15:31:14 UTC
$ rpm -qf /etc/readahead.files
kernel-utils-2.4-13.1.80
$ grep libz /etc/readahead.*
/etc/readahead.early.files:/usr/lib/libz.so.1
/etc/readahead.files:/usr/lib/libz.so.1.2.1.1

Still broken for the /etc/readahead.files file

Comment 16 RHEL Product and Program Management 2006-08-18 17:32:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 19 RHEL Product and Program Management 2006-09-06 18:15:15 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 


Note You need to log in before you can comment on or make changes to this bug.